Subject: bug#63107: 30.0.50; display-buffer-in-childframe sometimes crashes Emacs on Mac

From: Alan Third <[email-masked]>
Date: Fri, 28 Apr 2023 21:03:40 +0100

On Fri, Apr 28, 2023 at 01:00:07PM -0700, Yuan Fu wrote:
> 
> 
> > On Apr 28, 2023, at 12:35 PM, Alan Third <[email-masked]> wrote:
> > 
> > On Thu, Apr 27, 2023 at 01:36:28PM -0700, Yuan Fu wrote:
> >> 
> >>> 
> >>> Entirely untested patch attached. I can't even try compiling it.
> >>> 
> >>> Good luck.
> >> 
> >> Uh oh, I tried it and it crashed on startup.
> > 
> > I did say it was untested. ;)
> > 
> > I made a silly mistake. Updated patch attached.
> 
> Compiles and runs perfectly. Solves the
> display-buffer-in-child-frame crash too. I’ll be running with this
> for a couple of days. Any particular operations I could test to
> expose potential problems?

Just doing things with the toolbar, like turning on and off frame
decorations, going into fullscreen and back, etc. to make sure it
appears when it should and doesn't when it shouldn't.
-- 
Alan Third